/* Общие стили */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

header{
    display: flex;
    flex-direction: column;
    width: 100%;
}

.sidebar{
    padding-right: 30px;
    border-right: 1px solid #6D9773;
    margin-right: 30px;
}

body {
font-family: Roboto;
font-weigth: 100;
text-underline-position: from-font;
text-decoration-skip-ink: none;
}

.buttons-group{
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
}

.background_shadow {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* черный цвет с прозрачностью 50% */
    z-index: 9999; /* выше всех других элементов */
}

.toast-message{
    position:absolute;
    background:#204c3b;;
    height: 80px;
    width:500px;
    border-radius:10px;
    top:20px;
    left:20px;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:10px;
}



.footer-main{
    justify-content: center;
}

.container {
    display:flex;
    flex-direction:row;
    margin:10px 40px;
}

.main_user {
    text-align: center;
}

.header-container{
    display:flex;
    flex-direction: row;
    gap:30px;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: 20px;
}

.header-img{
    border: solid 1px #FFB902;
    border-radius: 50%;
    width: 50px;
    height: 50px;
}

.header_content{
    display: flex;
    flex-direction: column;
    width: 100%;

}

.header-container h3 {
    font-size: 16px;
    text-align: center;
    margin-bottom: 0px;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
}

p {
    font-size: 16px;
    line-height: 1.5;
    text-align: justify;
}

.green{
    background-color:#6D9773;

}

.block{
    display:flex;
    flex-direction: column;
}

.userblock {
    position: relative;
    z-index: 0;
    width: 200px;
    height: 210px;
    flex-direction: column;
    border-radius: 40px;
    overflow: hidden;
    margin: 10px auto;
    display: flex;
    align-items: center;
    background: #6D977380;
    justify-content: center;
    font-family: 'Roboto', sans-serif;
}

.container_users {
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
    justify-content: center;
    column-gap: 40px;
}

.button {
    display: block;
    width: 100%;
    padding: 10px 20px;
    margin-top: 20px;
    background-color: rgba(255, 255, 255, 0.8); /* Белый фон для кнопки */
    color: rgba(109, 151, 115, 1); /* Основной цвет для текста */
    text-align: center;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.button:hover {
    background-color: rgba(109, 151, 115, 1); /* Основной цвет фона при наведении */
    color: #ffffff; /* Белый текст при наведении */
}

.default-button{
     color: #FFFF;
    background-color: transparent;
    border: 1px solid #BB8A50;
    width: 100%;
    height: 38px;
    border-radius: 50px;
    font-size: 16px;
}

.default-button:hover{
    color: #0C3A2D;
    background-color: #BB8A50;
    transition:0.3s;
}

.default-button a{
    color:#fff;
    text-decoration:none;
    padding: 10px 105px;
    white-space: nowrap;
}

.grade-block-content .default-button a{
    font-size:16px;
}

.active{
    color: #0C3A2D;
    background-color: #BB8A50;
}

.indentation{
    margin: 10px 0px;
    display: flex;
    flex-direction: column;
}

.indentation-img{
    width: 100%;
    display: flex;
    justify-content: center;
}

.indentation-only-heigth{
    margin: 10px 0px;
}

.indentation-null{
    margin:0px;
}

.arrow_top {
    width: auto;
    height: auto;
}

.arrow_top img {
    width: 50px;
    transition: 0.3s;
}

.arrow_top img:hover {
    transform: scale(1.2);
}

.arrow_down {
    width: auto;
    height: auto;
}

.arrow_down img {
    width: 50px;
    transition: 0.3s;
}

.arrow_down img:hover {
    transform: scale(1.2);
}


.main-content .indentation-null{
    margin:0px;
}

.main-content{
    display:flex;
    flex-direction:column;
    width:100%;
}

.main-content-bottom{
    display:flex;
    flex-direction:row;
    width:100%;
    margin-top:20px;
}

.big-block{
    width:100%;
    background:#6D977333;
    display:flex;
    flex-direction:column;
    padding:30px;
    border-radius:50px;
    row-gap: 10px;
}

.grade-block-content{
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 15px 0px;
    width:100%;
    align-items: center;
}

.grade-block-content-column{
    display: flex;
    flex-direction: column;
    margin: 15px 0px;
    width: 100%;
    height: 100%;
    align-items: flex-start;
    justify-content: flex-end;
}

.grade-block-content p{
    font-size:15px;
}

.grade-block-content a{
    font-size:15px;
}

.grade-block-content .left{
        width: 80%;
}

.grade-block-content img{
        width: 22px;
}

.garde-mobile-block{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 74%;
}

.main-content h1{
    font-size:30px;
}

.main-content h3{
    font-size:18px;
}

.main-content h4{
    font-size:15px;
    opacity:50%;
}

.mid-block{
    width:auto;
    background:#6D977333;
    display:flex;
    flex-direction:column;
    padding:30px;
    border-radius:50px;
    flex: 0 0 58%; /* Занимает 70% ширины */
}

.small-block{
    width:auto;
    background:#6D977333;
    display:flex;
    flex-direction:column;
    padding:30px;
    border-radius:50px;
    flex: 0 0 40%; /* Занимает 70% ширины */
}

.indentation-right{
    margin-right: 20px
}


.modal {
    position: absolute;
    left: 40%;
    top:30%;
    width: 400px;
    flex-wrap: wrap;
    gap: 10px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    padding: 40px 25px;
    background: #5b8c62;
    outline: none;
    z-index: 9999;
}

.modal-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.modal-header button {
    width: 40px;
}


.modal-title {
    margin: 0px;
}

.modal-body {
    margin-top: 30px;
}

.modal-content {
    width: 95%;
}

.modal_button a {
    display: flex;
    justify-content: start;
    align-items: center;
    text-decoration: none;
    font-size:25px;
    color: rgba(255, 255, 255, 1);
    width: 100%;
    height: 100%;

}


@media (max-width: 1024px) {
    .main-content-bottom{
        flex-direction:column;
    }

    .indentation-right {
        margin-right: 0px;
    }

    .mid-block{
        margin-bottom:20px;
    }

    .small-block{
        margin-bottom:100px;
    }
    .garde-mobile-block{
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        width: 74%;
    }
}


@media (max-width: 960px) {
    table tr{
        flex-direction:column;
        display: flex;
        gap: 5px;
        width:190px;
    }
    
}

@media (max-width: 768px) {
    h1 {
        font-size: 20px;
    }

    .grade-block-content-column {
        height: 45%;
    }

    p {
        font-size: 14px;
    }

    .container{
        flex-direction:column;
    }
    
        .modal {
        position: absolute;
        top: 400px;
        width: auto;
        height: auto;
        left:0px;
        flex-wrap: wrap;
        gap: 10px;
        flex-direction: row;
        justify-content: start;
        align-items: start;
        border-radius: 50px;
        padding: 40px 25px;
        background: #5b8c62;
        outline: none;
        z-index: 9999;
    }

    




    .sidebar {
        padding-right: 0px;
        border-right: none;
        margin-right: 0px;
    }
    
    .toast-message{

    height: 160px;
    width:300px;

}


@media (max-width: 450px) {
    .default-button a {
        padding: 10px 40px;
    }
}



}